Subject: Re: DS1337 RTC on I2C broken.

From: Clemens Koller <[email-masked]>
Date: Fri, 30 Nov 2007 12:04:00 +0100

Hi, Alessandro!

Alessandro Zummo schrieb:
 > On Thu, 29 Nov 2007 21:03:49 +0100
 > Clemens Koller <[email-masked]> wrote:
 >
 >>>> My guess is that the new rtc-lib's RTC_DRV_DS1307 support is still broken
 >>>> and it also breaks the deprecated SENSORS_DS1337. :-(
 >> One more update:
 >> I am back to mainline (linus' .git) on 2.6.24-rc3-g09f345da to
 >> verify that the problem with the RTC still persists.
 >>
 >> I startet to bisect, but ran quickly into other crashes.
 >> (no console on 2.6.23-rc2 and 2.6.23)
 >> So, I just can tell that it broke in between 2.6.22-rc6-gb75ae860 and
 >> and 2.6.24-rc2-ge6a5c27f.
 >
 >  did you tried compiling it modular? you might even check with
 >  i2cdetect if the chip is there

A kernel upgrade doesn't make the chip to disappear ;-)
The I2C bus is/was basically working fine all the time... see below.

Modular doesn't make sense to me, because the filesystem check starts
to complain when last mount time was way to far in the past or in
the future. But I will try...

I can:

$ uname -a
Linux fox_1 2.6.24-rc3-g09f345da #1 Thu Nov 29 21:21:39 CET 2007 ppc e500 GNU/Linux
$ i2cdetect 0
WARNING! This program can confuse your I2C bus, cause data loss and worse!
I will probe file /dev/i2c-0.
I will probe address range 0x03-0x77.
Continue? [Y/n] Y
      0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
00:          -- -- -- -- -- -- -- -- -- -- -- -- --
10: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
40: -- -- -- -- -- -- -- -- 48 -- -- -- -- -- -- --
50: UU -- -- -- -- -- -- UU -- -- -- -- -- -- -- --
60: -- -- -- -- -- -- -- -- UU -- -- -- -- -- -- --
70: -- -- -- -- -- -- -- --

At 0x68 is the DS1337,
at 0x48 I have an LM75
at 0x50 and 0x57 there is some EEPROM attached

$ i2cdump 0 0x68 b
Error: Could not set address to 0x68: Device or resource busy

That would tell me AFAICT that the ds1307 driver claimed that
address already... But...
Well, I've attached the config again.
(Note, I enabled the SENSORS_x during my manual bisecting again to
find where it doesn't work anymore. Disabling them didn't work for
sure, but will retry now...)

Regards,
-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com